"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConversationRequest = void 0;
class ConversationRequest {
    constructor({ request }) {
        this.request = request;
    }
    getConversation({ conversationId }) {
        const queryParams = {
            keyVersion: 'LEGACY_INBOX',
        };
        return this.request.get(`messaging/conversations/${conversationId}`, {
            params: queryParams,
        });
    }
    getConversations({ createdBefore }) {
        const queryParams = {
            keyVersion: 'LEGACY_INBOX',
            ...(createdBefore && { createdBefore: createdBefore.getTime() }),
        };
        return this.request.get('messaging/conversations', {
            params: queryParams,
        });
    }
}
exports.ConversationRequest = ConversationRequest;
//# sourceMappingURL=conversation.request.js.map