"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageRequest = void 0;
class MessageRequest {
    constructor({ request }) {
        this.request = request;
    }
    sendMessage({ conversationId, text }) {
        const queryParams = {
            action: 'create',
        };
        const payload = {
            eventCreate: {
                originToken: '54b3a724-59c5-4cf2-adbd-660483010a87',
                value: {
                    'com.linkedin.voyager.messaging.create.MessageCreate': {
                        attributedBody: { text, attributes: [] },
                        attachments: [],
                    },
                },
            },
            dedupeByClientGeneratedToken: false,
        };
        return this.request.post(`messaging/conversations/${conversationId}/events`, payload, {
            params: queryParams,
        });
    }
    getMessages({ conversationId, createdBefore, }) {
        const queryParams = {
            keyVersion: 'LEGACY_INBOX',
            ...(createdBefore && { createdBefore: createdBefore.getTime() }),
        };
        return this.request.get(`messaging/conversations/${conversationId}/events`, {
            params: queryParams,
        });
    }
}
exports.MessageRequest = MessageRequest;
//# sourceMappingURL=message.request.js.map